"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceOrAddNodeIntoBinPaths = void 0;
const path_1 = __importDefault(require("path"));
function replaceOrAddNodeIntoBinPaths(binPaths, baseDir, nodePath) {
    baseDir = path_1.default.resolve(baseDir);
    if (!baseDir.endsWith(path_1.default.sep)) {
        baseDir += path_1.default.sep;
    }
    const index = binPaths.findIndex(dir => dir.startsWith(baseDir));
    if (index < 0) {
        return [...binPaths, nodePath];
    }
    else {
        return [...binPaths.slice(0, index), nodePath, ...binPaths.slice(index + 1)];
    }
}
exports.replaceOrAddNodeIntoBinPaths = replaceOrAddNodeIntoBinPaths;
//# sourceMappingURL=replaceOrAddNodeIntoBinPaths.js.map